<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:assmntUa">
		<docInterUnt>
			<xsl:call-template name="tIdElt" />
			<type>Activité évaluation</type>
			<titre>
				<xsl:value-of select="op:uM/sp:title" disable-output-escaping="yes" />
			</titre>
			<xsl:call-template name="tLevelElt" />
			<xsl:call-template name="tIncrementLevel" />

			<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />

			<xsl:apply-templates />

			<xsl:call-template name="tRefs" />
		</docInterUnt>
	</xsl:template>

	<xsl:template match="op:uM" />


	<xsl:template match="sp:obj">
		<section>
			<xsl:call-template name="tIdElt" />
			<type>Objectifs</type>
			<titre>
				<xsl:apply-templates select="." mode="label" />
			</titre>
			<xsl:call-template name="tLevelElt" />

			<contenu>
				<blocExpositif>
					<xsl:call-template name="tIdElt">
						<xsl:with-param name="pNum">1</xsl:with-param>
					</xsl:call-template>
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
					 />
				</blocExpositif>
			</contenu>
		</section>
	</xsl:template>

	<xsl:template match="sp:intro">
		<section>
			<xsl:call-template name="tIdElt" />
			<type>
				<xsl:apply-templates select="." mode="label" />
			</type>
			<titre>
				<xsl:apply-templates select="." mode="label" />
			</titre>
			<xsl:call-template name="tLevelElt" />

			<contenu>
				<blocExpositif>
					<xsl:call-template name="tIdElt">
						<xsl:with-param name="pNum">1</xsl:with-param>
					</xsl:call-template>
					<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
					 />
				</blocExpositif>
			</contenu>
		</section>
	</xsl:template>

	<xsl:template match="sp:quiz">
		<!-- Récupération du code de l'item référencé -->
		<xsl:variable name="vType" select="typeAgent(concat('@',gotoSubModel()))" />


		<xsl:choose>
			<xsl:when test="$vType = 'op_match' or $vType = 'op_ordWord'">
				<xsl:call-template name="tLogError">
					<xsl:with-param name="pMessage">inter-UNT ne supporte que les questions à choix
						multiple, les questions fermées et les textes à trous.</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="string-length($vType)">
				<contenu>
					<exercice>
						<xsl:call-template name="tIdElt" />
						<type>
							<xsl:apply-templates select="." mode="label" />
						</type>
						<typeEvaluation>auto-évaluation</typeEvaluation>
						<xsl:call-template name="tLogInfo">
							<xsl:with-param name="pMessage">Le quiz a été internalisé dans
								l&apos;activité d&apos;évaluation.</xsl:with-param>
						</xsl:call-template>
						<xsl:value-of select="getContent(gotoSubModel())"
							disable-output-escaping="yes" />
					</exercice>
				</contenu>
			</xsl:when>
		</xsl:choose>

	</xsl:template>

	<xsl:template match="sc:feedbacks">
		<xsl:call-template name="tNoMatch" />
	</xsl:template>

</xsl:stylesheet>
