<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />
	<xsl:import href="bsco:inlines.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:cloze">
		<texteATrous>
			<xsl:apply-templates />
		</texteATrous>
	</xsl:template>

	<xsl:template match="op:uM" />

	<xsl:template match="sc:question">
		<enonce>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</enonce>
	</xsl:template>

	<xsl:template match="sc:gapText | op:clozeTxt">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:para">
		<paraTexteATrous>
			<xsl:apply-templates />
		</paraTexteATrous>
	</xsl:template>

	<xsl:template match="sc:itemizedList | sc:orderedList">
		<xsl:call-template name="tLogWarning">
			<xsl:with-param name="pMessage">Seuls les paragraphes sont acceptés dans les textes à
				trous d&apos;inter-UNT. La liste a été mis à plat.</xsl:with-param>
		</xsl:call-template>
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:listItem">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:textLeaf[@role='gap']">
		<trou>
			<xsl:apply-templates />
		</trou>
	</xsl:template>

	<xsl:template match="sc:globalExplanation">
		<commentaireRep>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</commentaireRep>
	</xsl:template>

</xsl:stylesheet>
