<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:mcqMur | op:mcqSur">
		<questionQCM>
			<xsl:apply-templates />
		</questionQCM>
	</xsl:template>

	<xsl:template match="sc:question">
		<enonce>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</enonce>
	</xsl:template>

	<xsl:template match="sc:choices">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:choice">
		<reponseQCM>
			<bonne>
				<xsl:choose>
					<xsl:when
						test="count(preceding-sibling::sc:choice) + 1 = ../../sc:solution/@choice or @solution='checked'">
						<xsl:text>oui</xsl:text>
					</xsl:when>
					<xsl:otherwise>non</xsl:otherwise>
				</xsl:choose>
			</bonne>
			<xsl:apply-templates />
		</reponseQCM>
	</xsl:template>

	<xsl:template match="sc:choiceLabel">
		<propositionRep>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</propositionRep>
	</xsl:template>

	<xsl:template match="sc:choiceExplanation">
		<commentaireRep>
			<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes" />
		</commentaireRep>
	</xsl:template>

	<xsl:template match="sc:solution" />
	
	<xsl:template match="sc:globalExplanation">
		<xsl:call-template name="tNoMatch" />
	</xsl:template>
</xsl:stylesheet>
