<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">

	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />

	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />

	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />

	<xsl:template match="op:txt | op:sTxt">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="op:qTxt">
		<xsl:apply-templates />
	</xsl:template>

	<xsl:template match="sc:para">
		<paragraphe>
			<xsl:apply-templates />
		</paragraphe>
	</xsl:template>

	<xsl:template match="sc:itemizedList">
		<liste>
			<type>Puce</type>
			<xsl:apply-templates />
		</liste>
	</xsl:template>

	<xsl:template match="sc:orderedList">
		<liste>
			<type>Ordonnée</type>
			<xsl:apply-templates />
		</liste>
	</xsl:template>

	<xsl:template match="sc:listItem">
		<item>
			<xsl:apply-templates />
		</item>
	</xsl:template>

	<xsl:template match="sc:table">
		<tableau>
			<xsl:call-template name="tIdElt" />
			<xsl:apply-templates />
		</tableau>
	</xsl:template>

	<xsl:template match="sc:caption">
		<legende>
			<xsl:value-of select="." />
		</legende>
	</xsl:template>

	<xsl:template match="sc:column" />

	<xsl:template match="sc:row">
		<tr>
			<xsl:apply-templates />
		</tr>
	</xsl:template>

	<xsl:template match="sc:row[@role='head']/sc:cell">
		<th>
			<xsl:call-template name="tCellContent" />
		</th>
	</xsl:template>

	<xsl:template match="sc:cell">
		<td>
			<xsl:call-template name="tCellContent" />
		</td>
	</xsl:template>
	
	<xsl:template name="tCellContent">
		<xsl:if test="count(sc:para)&gt;1 || sc:para/sc:*">
			<xsl:call-template name="tLogWarning">
				<xsl:with-param name="pMessage">inter-UNT n&apos;autorise que du texte simple dans les cellules des tableaux; le contenu a donc été modifié.</xsl:with-param>
			</xsl:call-template>
		</xsl:if>
		<xsl:value-of select="normalize-space(.)" />
	</xsl:template>

	<!-- En-lignes -->
	<xsl:include href="bsco:inlines.xsl" />
</xsl:stylesheet>
