<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:sc="http://www.utc.fr/ics/scenari/v3/core"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:sp="http://www.utc.fr/ics/scenari/v3/primitive" xmlns:op="utc.fr:ics/opale3"
	xmlns="http://www2.educnet.education.fr/sections/superieur/unt/inter/chaine-editoria"
	exclude-result-prefixes="sc sp op">
	
	<xsl:import href="bsco:export.xsl" />
	<xsl:import href="bsco:interunt.xsl" />
	
	<xsl:output method="xml" version="1.0" encoding="UTF-8" indent="yes" omit-xml-declaration="yes" />
	
	<xsl:param name="vDialog" />
	<xsl:param name="vAgent" />
	
	<xsl:template match="op:trainUc">
		<docInterUnt>
			<xsl:call-template name="tIdElt" />
			<type>Exercice intéractif</type>
			<titre>
				<xsl:value-of select="op:uM/sp:title" disable-output-escaping="yes" />
			</titre>
			<xsl:call-template name="tLevelElt" />
			<xsl:call-template name="tIncrementLevel" />
			
			<xsl:value-of select="getContent(gotoMeta())" disable-output-escaping="yes" />
			
			<contenu>
				<exercice>
					<xsl:call-template name="tIdElt" />
					<type>
						<xsl:apply-templates select="." mode="label" />
					</type>
					<typeEvaluation>auto-évaluation</typeEvaluation>

					<xsl:apply-templates />
				</exercice>
			</contenu>
			
			<xsl:call-template name="tRefs" />
		</docInterUnt>
	</xsl:template>
	
	<xsl:template match="op:uM" />

	<xsl:template match="sp:quiz">
		<!-- Récupération du code de l'item référencé -->
		<xsl:variable name="vType" select="typeAgent(concat('@',gotoSubModel()))" />

		<xsl:choose>
			<xsl:when test="$vType = 'op_match' or $vType = 'op_ordWord'">
				<xsl:call-template name="tLogError">
					<xsl:with-param name="pMessage">inter-UNT ne supporte que les questions à choix
						multiple, les questions fermées et les textes à trous.</xsl:with-param>
				</xsl:call-template>
			</xsl:when>
			<xsl:when test="string-length($vType)">
				<xsl:call-template name="tLogInfo">
					<xsl:with-param name="pMessage">Le quiz a été internalisé dans l&apos;exercice interactif.</xsl:with-param>
				</xsl:call-template>
				<xsl:value-of select="getContent(gotoSubModel())" disable-output-escaping="yes"
				/>
			</xsl:when>
		</xsl:choose>
	</xsl:template>

</xsl:stylesheet>
